#ifndef SIMULATEKEYBOARD_H
#define SIMULATEKEYBOARD_H

#include <QDialog>
#include <QDebug>
#include "keydelegate.h"
#include "customtreewidget.h"
#include <windows.h>

namespace Ui {
class SimulateKeyboard;
}

class SimulateKeyboard : public QDialog
{
    Q_OBJECT

public:
    explicit SimulateKeyboard(QWidget *parent = 0);
    ~SimulateKeyboard();
    void setGestures(QStringList gestures);
    void gesture(int g);

private slots:
    void sendKeys(bool enabled);

private:
    Ui::SimulateKeyboard *ui;
    QStringList availableGestures;
};

#endif // SIMULATEKEYBOARD_H
