#ifndef SERIALTERMINAL_H
#define SERIALTERMINAL_H

#include <QMainWindow>
#include <QToolBar>
#include <QKeyEvent>
#include <QDebug>

namespace Ui {
class SerialTerminal;
}

class SerialTerminal : public QMainWindow
{
    Q_OBJECT

public:
    explicit SerialTerminal(QWidget *parent = 0);
    ~SerialTerminal();

    void writeToTerminal(QString text);

protected:
    void keyReleaseEvent(QKeyEvent *e);

private slots:
    void commandSend();

signals:
    void sendToSerial(QByteArray data);

private:
    Ui::SerialTerminal *ui;
};

#endif // SERIALTERMINAL_H
