#ifndef LEARNER_H
#define LEARNER_H

#include <QDialog>
#include <QFileDialog>
#include <QMessageBox>
#include <QProcess>
#include <QSettings>
#include <QDebug>

namespace Ui {
class Learner;
}

class Learner : public QDialog
{
    Q_OBJECT

public:
    explicit Learner(QWidget *parent = 0);
    ~Learner();

signals:
    void gatherData(int amount, int id, QString file, QString name);

private slots:
    void startGathering();
    void openFileDialog();
    void learn();
    void enableButtons(int exitCode);
    void readProcess();

private:
    Ui::Learner *ui;

    QProcess *svmProcess;
};

#endif // LEARNER_H
